#ifndef __SOURCE4_TORTURE_KRB5_PROTO_H__
#define __SOURCE4_TORTURE_KRB5_PROTO_H__

#undef _PRINTF_ATTRIBUTE
#define _PRINTF_ATTRIBUTE(a1, a2) PRINTF_ATTRIBUTE(a1, a2)
/* This file was automatically generated by mkproto.pl. DO NOT EDIT */

/* this file contains prototypes for functions that are private 
 * to this subsystem or library. These functions should not be 
 * used outside this particular subsystem! */


/* The following definitions come from ../../source4/torture/krb5/kdc-heimdal.c  */

NTSTATUS torture_krb5_init(TALLOC_CTX *ctx);

/* The following definitions come from ../../source4/torture/krb5/kdc-canon-heimdal.c  */

struct torture_suite *torture_krb5_canon(TALLOC_CTX *mem_ctx);
#undef _PRINTF_ATTRIBUTE
#define _PRINTF_ATTRIBUTE(a1, a2)

#endif /* __SOURCE4_TORTURE_KRB5_PROTO_H__ */

